@echo off
set SINBINDIR=Release

if not defined SINDIR ( goto failed )

:startcopy
echo Copying %SINBINDIR% Build.

copy /Y ..\readme.txt "%SINDIR%"
move /Y ..\%SINBINDIR%\x86\sin_x86.exe "%SINDIR%"
move /Y ..\%SINBINDIR%\x64\sin_x64.exe "%SINDIR%"
move /y ..\%SINBINDIR%\x86\sinded_x86.exe "%SINDIR%"
move /y ..\%SINBINDIR%\x64\sinded_x64.exe "%SINDIR%"
move /Y ..\%SINBINDIR%\x86\ref_soft.dll "%SINDIR%"
move /Y ..\%SINBINDIR%\x86\ref_gl.dll "%SINDIR%"
move /Y ..\%SINBINDIR%\x64\ref_soft.dll "%SINDIR%"
move /Y ..\%SINBINDIR%\x64\ref_gl.dll "%SINDIR%"
copy /Y ..\%SINBINDIR%\x86\base\gamex86.dll "%SINDIR%\ctf"
move /Y ..\%SINBINDIR%\x86\base\gamex86.dll "%SINDIR%\base"
move /Y ..\%SINBINDIR%\x86\2015\gamex86.dll "%SINDIR%\2015"
copy /Y ..\%SINBINDIR%\x64\base\gamex64.dll "%SINDIR%\ctf"
move /Y ..\%SINBINDIR%\x64\base\gamex64.dll "%SINDIR%\base"
move /Y ..\%SINBINDIR%\x64\2015\gamex64.dll "%SINDIR%\2015"

goto end

:failed
echo SINDIR not defined!
pause
goto end

:end
set SINBINDIR=
